summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
-rw-r--r--AUTHORS2
-rw-r--r--Makefile.in6
-rw-r--r--TODO10
-rw-r--r--bash_completion88
-rw-r--r--bin/guards.in2
-rw-r--r--compat/getopt.in1
-rw-r--r--configure.ac2
-rw-r--r--doc/main-rus.tex4
-rw-r--r--doc/main.tex4
-rw-r--r--doc/quilt.1.in54
-rw-r--r--lib/quilt.el2
-rw-r--r--quilt.changes20
-rw-r--r--quilt/add.in2
-rw-r--r--quilt/import.in12
-rw-r--r--quilt/mail.in10
-rw-r--r--quilt/pop.in26
-rw-r--r--quilt/push.in20
-rw-r--r--quilt/refresh.in4
-rw-r--r--quilt/scripts/dependency-graph.in4
-rw-r--r--quilt/scripts/edmail.in2
-rw-r--r--quilt/scripts/inspect.in4
-rw-r--r--quilt/scripts/patchfns.in36
-rw-r--r--quilt/series.in2
-rw-r--r--quilt/setup.in2
-rw-r--r--quilt/upgrade.in2
-rw-r--r--test/annotate.test6
-rw-r--r--test/applied.test2
-rw-r--r--test/comments.test4
-rw-r--r--test/conflicts.test6
-rw-r--r--test/delete.test4
-rw-r--r--test/dotglob.test6
-rw-r--r--test/empty.test4
-rw-r--r--test/example1.test2
-rw-r--r--test/fold.test6
-rw-r--r--test/formats.test2
-rw-r--r--test/header.test4
-rw-r--r--test/import.test4
-rw-r--r--test/import2.test4
-rw-r--r--test/mail.test2
-rw-r--r--test/missing.test2
-rw-r--r--test/one.test6
-rw-r--r--test/remember-locations.test2
-rw-r--r--test/remove-trailing-ws.test46
-rwxr-xr-xtest/run2
-rw-r--r--test/two.test8
45 files changed, 221 insertions, 222 deletions
diff --git a/AUTHORS b/AUTHORS
index d6b7f0b..6b14af9 100644
--- a/AUTHORS
+++ b/AUTHORS
@@ -33,7 +33,7 @@ Pre-quilt (patch-scripts)
Andrew Morton <akpm@digeo.com>
Collection of scripts for patch management (patch-scripts).
-
+
Stephen Cameron <steve.cameron@hp.com>
Contributed pstatus.
diff --git a/Makefile.in b/Makefile.in
index 8040653..5438e6e 100644
--- a/Makefile.in
+++ b/Makefile.in
@@ -144,8 +144,8 @@ endif
%.po : po/quilt.pot
$(MSGMERGE) -o $@ $@ $^
-scripts : $(BIN:%=bin/%) $(QUILT:%=quilt/%) \
- $(SCRIPTS:%=quilt/scripts/%) \
+scripts : $(BIN:%=bin/%) $(QUILT:%=quilt/%) \
+ $(SCRIPTS:%=quilt/scripts/%) \
$(if $(PATCH_WRAPPER),bin/patch-wrapper)
dist : clean $(PACKAGE)-$(VERSION).tar.gz
@@ -162,7 +162,7 @@ rpm rpmbuild : $(PACKAGE)-$(VERSION).tar.gz
po/quilt.pot: $(filter-out debian/control.in doc/quilt.1.in \
doc/README.in, $(wildcard */*.in) \
- $(wildcard */*/*.in))
+ $(wildcard */*/*.in))
rm -f po/quilt.pot; touch po/quilt.pot
for file in $+ ; do \
if test -n "`$(SED) -ne '1{ /@BASH''@/p }' $$file`" \
diff --git a/TODO b/TODO
index eaaf11f..ed8e764 100644
--- a/TODO
+++ b/TODO
@@ -8,7 +8,7 @@ General:
changes that have not been folded back into their patches,
similar to:
`for p in $(quilt series); do quilt diff -z $p; done'?
-
+
- Allow to add a directory? Then we could detect also new files
in the directory, without having to add them individually.
@@ -56,7 +56,7 @@ quilt new:
- Prevent spaces in patch names.
quilt push:
-
+
- Add option to print the reject to stdout
- If push fails, check if patch can be reversed.
@@ -66,12 +66,12 @@ quilt push:
- Check if there are any .orig or .rej files and barf if so.
quilt pop:
-
+
- The timestamp comparison logic is broken; need to track
last-known timestamps per file.
quilt diff:
-
+
- Error message when a file is specified that isn't in the
patch(es).
@@ -81,7 +81,7 @@ quilt refresh:
- Add an -m option similar to `cvs commit -m "..."' to simplify
keeping a change log in the patch documentation?
-
+
- Add option to log the updates of each patch (e.g., append the
output of ``quilt diff -zR'' to patch.log on each update).
diff --git a/bash_completion b/bash_completion
index 0918598..852ab2d 100644
--- a/bash_completion
+++ b/bash_completion
@@ -86,9 +86,9 @@ fi
_quilt_comfile()
{
COMPREPLY=( ${COMPREPLY[@]:-} $( compgen -f -- "$cur" ) )
- echo $( compgen -d -- "$cur" ) | while read d ; do
- COMPREPLY=( ${COMPREPLY[@]:-} "$d/" )
- done
+ echo $( compgen -d -- "$cur" ) | while read d ; do
+ COMPREPLY=( ${COMPREPLY[@]:-} "$d/" )
+ done
}
_quilt_completion()
@@ -99,9 +99,9 @@ _quilt_completion()
cur=${COMP_WORDS[COMP_CWORD]}
prev=${COMP_WORDS[COMP_CWORD-1]}
- # quilt sub commands
+ # quilt sub commands
cmds='add annotate applied delete diff edit files fold fork graph \
- grep header import mail new next patches pop previous push refresh \
+ grep header import mail new next patches pop previous push refresh \
remove rename revert series setup snapshot top unapplied'
# if no command were given, complete on commands
@@ -109,14 +109,14 @@ _quilt_completion()
COMPREPLY=( $( compgen -W "$cmds -h" -- $cur ) )
return 0
fi
-
- # if we're completing for 'quilt -h', then just
+
+ # if we're completing for 'quilt -h', then just
# complete on any valid command
if [ ${COMP_WORDS[1]} == -h ] ; then
COMPREPLY=( $( compgen -W "$cmds" -- $cur ) )
- return 0
+ return 0
fi
-
+
# Accept a partial command if it's unique, because quilt will accept it.
command_matches=( $(compgen -W "$cmds" -- ${COMP_WORDS[1]}) )
if [ ${#command_matches[@]} -ne 1 ] ; then
@@ -128,45 +128,45 @@ _quilt_completion()
add)
case $prev in
-P)
- COMPREPLY=( $( compgen -W "$(quilt --quiltrc - applied 2>/dev/null)" -- $cur ) )
+ COMPREPLY=( $( compgen -W "$(quilt --quiltrc - applied 2>/dev/null)" -- $cur ) )
;;
*)
- _quilt_comfile
- COMPREPLY=( ${COMPREPLY[@]:-} $( compgen -W "-P -h" -- $cur ) )
- ;;
+ _quilt_comfile
+ COMPREPLY=( ${COMPREPLY[@]:-} $( compgen -W "-P -h" -- $cur ) )
+ ;;
esac
;;
annotate)
case $prev in
-P)
- COMPREPLY=( $( compgen -W "$(quilt --quiltrc - applied 2>/dev/null)" -- $cur ) )
+ COMPREPLY=( $( compgen -W "$(quilt --quiltrc - applied 2>/dev/null)" -- $cur ) )
;;
*)
- _quilt_comfile
- COMPREPLY=( ${COMPREPLY[@]:-} $( compgen -W "-P -h" -- $cur ) )
- ;;
+ _quilt_comfile
+ COMPREPLY=( ${COMPREPLY[@]:-} $( compgen -W "-P -h" -- $cur ) )
+ ;;
esac
;;
- applied)
+ applied)
COMPREPLY=( $( compgen -W "-h $(quilt --quiltrc - applied 2>/dev/null)" -- $cur ) )
;;
- delete)
+ delete)
COMPREPLY=( $( compgen -W "-n -r -h --backup $(quilt --quiltrc - series)" -- $cur ) )
;;
- diff)
+ diff)
case $prev in
-p)
- COMPREPLY=( $( compgen -W "0 1" -- $cur ) )
+ COMPREPLY=( $( compgen -W "0 1" -- $cur ) )
;;
-P|--combine)
- COMPREPLY=( $( compgen -W "$(quilt --quiltrc - applied 2>/dev/null)" -- $cur ) )
+ COMPREPLY=( $( compgen -W "$(quilt --quiltrc - applied 2>/dev/null)" -- $cur ) )
;;
--diff|-U|-C)
;;
*)
- _filedir
- COMPREPLY=( ${COMPREPLY[@]:-} $( compgen -W "-p -P -u -U -c -C -R -z -h --snapshot --diff --no-timestamps --no-index --combine --sort" -- $cur ) )
- ;;
+ _filedir
+ COMPREPLY=( ${COMPREPLY[@]:-} $( compgen -W "-p -P -u -U -c -C -R -z -h --snapshot --diff --no-timestamps --no-index --combine --sort" -- $cur ) )
+ ;;
esac
;;
edit)
@@ -186,21 +186,21 @@ _quilt_completion()
fold)
case $prev in
-p)
- COMPREPLY=( $( compgen -W "0 1" -- $cur ) )
+ COMPREPLY=( $( compgen -W "0 1" -- $cur ) )
;;
*)
- _quilt_comfile
- COMPREPLY=( ${COMPREPLY[@]:-} $( compgen -W "-p" -- $cur ) )
- ;;
+ _quilt_comfile
+ COMPREPLY=( ${COMPREPLY[@]:-} $( compgen -W "-p" -- $cur ) )
+ ;;
esac
;;
graph)
case $prev in
-T)
- COMPREPLY=( $( compgen -W "ps" -- $cur ) )
+ COMPREPLY=( $( compgen -W "ps" -- $cur ) )
;;
--edge-labels)
- COMPREPLY=( $( compgen -W "files" -- $cur ) )
+ COMPREPLY=( $( compgen -W "files" -- $cur ) )
;;
*)
COMPREPLY=( $( compgen -W "-T -h --all --reduce --lines --edge-labels $(quilt --quiltrc - applied 2>/dev/null)" -- $cur ) )
@@ -217,7 +217,7 @@ _quilt_completion()
import)
case $prev in
-p)
- COMPREPLY=( $( compgen -W "0 1 2 3 4 5 6 7 8 9 10" -- $cur ) )
+ COMPREPLY=( $( compgen -W "0 1 2 3 4 5 6 7 8 9 10" -- $cur ) )
;;
-P)
;;
@@ -225,9 +225,9 @@ _quilt_completion()
COMPREPLY=( $( compgen -W "o a n" -- $cur ) )
;;
*)
- _quilt_comfile
- COMPREPLY=( ${COMPREPLY[@]:-} $( compgen -W "-p -P -f -d -h" -- $cur ) )
- ;;
+ _quilt_comfile
+ COMPREPLY=( ${COMPREPLY[@]:-} $( compgen -W "-p -P -f -d -h" -- $cur ) )
+ ;;
esac
;;
mail)
@@ -237,7 +237,7 @@ _quilt_completion()
COMPREPLY=( $( compgen -W "$(quilt --quiltrc - series)" -- $cur ) )
;;
patches)
- _quilt_comfile
+ _quilt_comfile
COMPREPLY=( ${COMPREPLY[@]:-} $( compgen -W "-v -h" -- $cur ) )
;;
pop)
@@ -249,23 +249,23 @@ _quilt_completion()
refresh)
case $prev in
-p)
- COMPREPLY=( $( compgen -W "0 1" -- $cur ) )
+ COMPREPLY=( $( compgen -W "0 1" -- $cur ) )
;;
-U|-C)
;;
*)
- COMPREPLY=( $( compgen -W "-p -u -U -c -C -f -h $(quilt --quiltrc - applied 2>/dev/null) --no-timestamps --no-index --diffstat --sort --backup --strip-trailing-whitespace" -- $cur ) )
+ COMPREPLY=( $( compgen -W "-p -u -U -c -C -f -h $(quilt --quiltrc - applied 2>/dev/null) --no-timestamps --no-index --diffstat --sort --backup --strip-trailing-whitespace" -- $cur ) )
;;
esac
;;
remove|revert)
case $prev in
-P)
- COMPREPLY=( $( compgen -W "$(quilt --quiltrc - applied 2>/dev/null)" -- $cur ) )
+ COMPREPLY=( $( compgen -W "$(quilt --quiltrc - applied 2>/dev/null)" -- $cur ) )
;;
*)
- _quilt_comfile
- COMPREPLY=( ${COMPREPLY[@]:-} $( compgen -W "-P -h" -- $cur ) )
+ _quilt_comfile
+ COMPREPLY=( ${COMPREPLY[@]:-} $( compgen -W "-P -h" -- $cur ) )
;;
esac
;;
@@ -285,11 +285,11 @@ _quilt_completion()
setup)
case $prev in
-d)
- _filedir -d
+ _filedir -d
;;
*)
- _quilt_comfile
- COMPREPLY=( ${COMPREPLY[@]:-} $( compgen -W "-d -v -h" -- $cur ) )
+ _quilt_comfile
+ COMPREPLY=( ${COMPREPLY[@]:-} $( compgen -W "-d -v -h" -- $cur ) )
;;
esac
;;
diff --git a/bin/guards.in b/bin/guards.in
index b4e6f26..e700bec 100644
--- a/bin/guards.in
+++ b/bin/guards.in
@@ -73,7 +73,7 @@ sub parse($$) {
next;
}
$line .= $_;
- my @guards = ();
+ my @guards = ();
foreach my $token (split /[\s\t\n]+/, $line) {
next if $token eq "";
if ($token =~ /^[-+]/) {
diff --git a/compat/getopt.in b/compat/getopt.in
index 878728b..ddc6500 100644
--- a/compat/getopt.in
+++ b/compat/getopt.in
@@ -132,4 +132,3 @@ foreach my $word (@words) {
}
print " @options @barewords\n"
-
diff --git a/configure.ac b/configure.ac
index b181dcf..31fa628 100644
--- a/configure.ac
+++ b/configure.ac
@@ -14,7 +14,7 @@ AC_SYS_INTERPRETER
if test "$interpval" != yes ; then
AC_MSG_WARN([no
-bash/perl scripts may not be invoked correctly due to problems with your
+bash/perl scripts may not be invoked correctly due to problems with your
systems implementation of #! being either broken or non-existant.
])
fi
diff --git a/doc/main-rus.tex b/doc/main-rus.tex
index 6d3d640..dbd9e86 100644
--- a/doc/main-rus.tex
+++ b/doc/main-rus.tex
@@ -87,7 +87,7 @@ Quilt это проект под лицензией GPL размещенный
Самое простое решение для использования патча - применять все предыдущие патчи.
%\footnote{ В базовом CVS имеется скрипт
-%\textit{sequence-patch}, который просто применяет все патчи до
+%\textit{sequence-patch}, который просто применяет все патчи до
%указанного патча. }
Создается копия исходного дерева.\footnote{
Два экземпляра могут быть жестко связаны друг с другом, что
@@ -412,7 +412,7 @@ Quilt позволяет нам сравнивать и обновлять па
\begin{description}
-\item[\textsf{QUILT\_DIFF\_OPTS}]
+\item[\textsf{QUILT\_DIFF\_OPTS}]
Дополнительные параметры, которые quilt передает программе \prog{GNU diff} при генерации патчей. Полезная опция для исходного кода на языке С ``\textsf{-p}'', которая заставляет программу \prog{GNU diff} показать в результирующем патче функции которые были изменены.
\item[\textsf{QUILT\_PATCH\_OPTS}]
diff --git a/doc/main.tex b/doc/main.tex
index a3404c4..ee8e0c7 100644
--- a/doc/main.tex
+++ b/doc/main.tex
@@ -506,7 +506,7 @@ accordingly. Quilt can apply patches with an arbitrary strip level, and
produces patches with a strip level of zero or one. With a strip level
of one, the name of the directory that contains the working tree is used
as the additional path component. (So in our example,
-\textsf{Oberon.txt} is contained in directory \textsf{example1}.)
+\textsf{Oberon.txt} is contained in directory \textsf{example1}.)
\subsection{Importing Patches}
@@ -539,7 +539,7 @@ generating a single patch out of all the patches in the series file.
\subsection{Merging with upstream}
The concept of merging your patches with upstream is identical to applying
-your patches on a more recent version of the software.
+your patches on a more recent version of the software.
Before merging, make sure to pop all your patches using \quilt{pop -a}.
Then, update your codebase. Finally, remove obsoleted patches
diff --git a/doc/quilt.1.in b/doc/quilt.1.in
index b7c6549..709d702 100644
--- a/doc/quilt.1.in
+++ b/doc/quilt.1.in
@@ -1,7 +1,7 @@
.\\" Created by Martin Quinson from the tex documentation
.\\"
.TH quilt 1 "Dec 17, 2013" "quilt"
-
+
.SH NAME
quilt \\- tool to manage series of patches
@@ -10,7 +10,7 @@ quilt \\- tool to manage series of patches
[-h] command [options]
.SH DESCRIPTION
-Quilt is a tool to manage large sets of patches by keeping track of the
+Quilt is a tool to manage large sets of patches by keeping track of the
changes each patch makes. Patches can be applied, un-applied, refreshed,
etc. The key philosophical concept is that your primary output is patches.
@@ -23,21 +23,21 @@ part of the command is unique. All commands print some help text with
Quilt manages a stack of patches. Patches are applied incrementally on top
of the base tree plus all preceding patches. They can be pushed on top of
-the stack
+the stack
.RB ( "quilt push" ),
and popped off the stack
-.RB ( "quilt pop" ).
-Commands are available for querying the contents of the series file
+.RB ( "quilt pop" ).
+Commands are available for querying the contents of the series file
.RB ( "quilt series" ,
-see below), the contents of the stack
+see below), the contents of the stack
.RB ( "quilt applied" , " quilt previous" , " quilt top" ),
-and the patches that are not applied at a particular moment
+and the patches that are not applied at a particular moment
.RB ( "quilt next" , " quilt unapplied" ).
By default, most commands apply to the topmost patch on the stack.
-Patch files are located in the
+Patch files are located in the
.I patches
-sub-directory of the source tree (see EXAMPLE OF WORKING TREE below). The
+sub-directory of the source tree (see EXAMPLE OF WORKING TREE below). The
.I QUILT_PATCHES
environment variable can be used to override this location. When not
found in the current directory, that subdirectory is searched
@@ -63,21 +63,21 @@ space followed by a hash character. When
quilt adds, removes, or renames patches, it automatically updates the series
file. Users of quilt can modify series files while some patches are
applied, as long as the applied patches remain in their original order.
-
+
Different series files can be used to assemble patches in different ways,
corresponding for example to different development branches.
Before a patch is applied (or ``pushed on the stack''), copies of all files
-the patch modifies are saved to the
+the patch modifies are saved to the
.RI .pc/ patch
directory. The patch is added to the list of currently applied patches
-(.pc/applied-patches). Later when a patch is regenerated
+(.pc/applied-patches). Later when a patch is regenerated
.RB ( "quilt refresh" ),
-the backup copies in
+the backup copies in
.RI .pc/ patch
are compared with the current versions of the files in the source tree using
-GNU diff.
-
+GNU diff.
+
Documentation related to a patch can be put at the beginning of a patch
file. Quilt is careful to preserve all text that precedes the actual patch
when doing a refresh. (This is limited to patches in unified format; see
@@ -89,13 +89,13 @@ tree, and in the patches directory. The first series file that is found is
used. This may also be a symbolic link, or a file with multiple hard links.
Usually, only one series file is used for a set of patches, so the
patches sub-directory is a convenient location.
-
+
The .pc directory and its sub-directories cannot be relocated, but it can be
a symbolic link. While patches are applied to the source tree, this
directory is essential for many operations, including taking patches off the
-stack
+stack
.RB ( "quilt pop" ),
-and refreshing patches
+and refreshing patches
.RB ( "quilt refresh" ).
Files in the .pc directory are automatically removed when they are
no longer needed, so there is no need to clean up manually.
@@ -182,7 +182,7 @@ to "-FRSX".
Additional options that quilt shall pass to GNU diff when generating
patches. A useful setting for C source code is "-p", which causes GNU diff
to show in the resulting patch which function a change is in.
-
+
.IP QUILT_PATCH_OPTS 4
Additional options that quilt shall pass to GNU patch when applying
@@ -243,17 +243,17 @@ used.
.IP QUILT_COLORS 4
-By default, quilt uses its predefined color set in order to be more
+By default, quilt uses its predefined color set in order to be more
comprehensible when distiguishing various types of patches, eg.
applied/unapplied, failed, etc.
-To override one or more color settings, set the QUILT_COLORS variable in
+To override one or more color settings, set the QUILT_COLORS variable in
following syntax - colon (:) separated list of elements, each being of the
-form <format name>=<foreground color>[;<background color>]
+form <format name>=<foreground color>[;<background color>]
-Format names with their respective default values are listed below,
-along with their usage(s).
-Color codes(values) are standard bash coloring escape codes.
+Format names with their respective default values are listed below,
+along with their usage(s).
+Color codes(values) are standard bash coloring escape codes.
See more at http://tldp.org/LDP/abs/html/colorizing.html#AEN20229
.RS 4
@@ -293,7 +293,7 @@ Used in 'quilt series' and 'quilt patches' to color the top patch name. Defaults
.IP \\fBseries_una\\fP 10
Used in 'quilt series' and 'quilt patches' to color unapplied patch names. Defaults to 0 (no special color).
-.RE
+.RE
.RS 4
In addition, the \\fBclear\\fP format name is used to turn off special
coloring. Its value is 0; it is not advised to modify it.
@@ -322,7 +322,7 @@ the pdf documentation, and in the help messages of each commands.
.SH SEE ALSO
The pdf documentation, which should be under @DOCSUBDIR@/quilt.pdf.
-Note that some distributors compress this file.
+Note that some distributors compress this file.
.BR zxpdf ( 1 )
can be used to display compressed pdf files.
diff --git a/lib/quilt.el b/lib/quilt.el
index 39c1ae6..6fe1c32 100644
--- a/lib/quilt.el
+++ b/lib/quilt.el
@@ -15,7 +15,7 @@
;; Add (load "~/quilt.el") to your .emacs file
;;; History:
-;;
+;;
;;; Code:
diff --git a/quilt.changes b/quilt.changes
index b474c46..93242fa 100644
--- a/quilt.changes
+++ b/quilt.changes
@@ -349,7 +349,7 @@ Tue Jan 10 11:05:36 CET 2012 - jdelvare@suse.de
-------------------------------------------------------------------
Mon Jan 9 20:49:04 CET 2012 - mquinson@debian.org
-- Makefile.in:
+- Makefile.in:
- revert the change to fix the generation of quilt.1 with dash
It induced relying on GNU sed, which introduce severe portability
issues as BSD and Mac OSX versions of sed (at least) cannot deal
@@ -365,7 +365,7 @@ Mon Jan 2 11:02:38 CET 2012 - mquinson@debian.org
- quilt/new: add a check that QUILT_PATCHES != QUILT_PC.
Rational: If QUILT_PATCHES and QUILT_PC are set to the same directory,
the awk script in filenames_in_patch (in scripts/patchfns) will
- break with a '<patchname> is a directory' error.
+ break with a '<patchname> is a directory' error.
Patch provided by anonymous in #30956 on savannah
-------------------------------------------------------------------
@@ -1718,7 +1718,7 @@ Sun Jan 29 22:46:14 CET 2006 - agruen@suse.de
- quilt/mail.in:
+ Add -m and --prefix options so that the mail command can be
- used without invoking an editor.
+ used without invoking an editor.
+ Verify that each message generated will have a unique subject.
+ Verify that the introduction has a subject header.
+ Fix a bug in the heuristic for adding recipients.
@@ -2106,7 +2106,7 @@ Thu Dec 8 17:45:41 CET 2005 - agruen@suse.de
-------------------------------------------------------------------
Thu Dec 1 11:56:33 CET 2005 - mquinson@debian.org
-- bin/guards.in: s/ocnfiguration/configuration/
+- bin/guards.in: s/ocnfiguration/configuration/
(fixes Bug#341518 in Debian)
- doc/quilt.1.in: Document common options to all commands
(fixes Bug#334408 in Debian)
@@ -2231,7 +2231,7 @@ Wed Sep 21 20:11:06 CEST 2005 - khali@linux-fr.org
-------------------------------------------------------------------
Tue Sep 20 19:57:43 CEST 2005 - khali@linux-fr.org
-- Makefile.in: Fix compat/tail symlink creation. Fix variable
+- Makefile.in: Fix compat/tail symlink creation. Fix variable
exporting bashism.
- configure.ac: Use grep >/dev/null instead of grep -q for
compatibility. Test for grep -q, some quilt scripts need it.
@@ -3038,7 +3038,7 @@ Fri Jan 21 13:49:30 CET 2005 - agruen@suse.de
-------------------------------------------------------------------
Thu Jan 20 12:36:25 CET 2005 - mquinson@debian.org
-- fix the bash completion file:
+- fix the bash completion file:
- does not complete on dir anymore, just files.
- use string comparison when dealing with BASH_VERSION, it may
contain letters.
@@ -3512,7 +3512,7 @@ Fri Feb 20 14:30:11 CET 2004 - agruen@suse.de
+ Fix another bug that triggers when /patches exists.
+ Working in sub-directories: Force `quilt new' to always create
the new patch in the current working directory even if there
- is a patches/ sub-directory further up the directory tree.
+ is a patches/ sub-directory further up the directory tree.
This should restore the behavior from before Jan 28 very well.
- quilt files, diff, refresh: Sort the files in the patch
alphabetically.
@@ -3730,8 +3730,8 @@ Tue Oct 21 20:44:00 CEST 2003 - agruen@suse.de
-------------------------------------------------------------------
Tue Sep 9 08:44:12 CEST 2003 - martin.quinson@tuxfamily.org
-- fix LC_ALL to C during building the reference so that the
- documentation comes to english and not to french when build
+- fix LC_ALL to C during building the reference so that the
+ documentation comes to english and not to french when build
on my box.
- Update the french translation
- Bump the version number to 0.25
@@ -3988,7 +3988,7 @@ Thu Jan 30 16:11:00 CET 2003 - Martin.Quinson@ens-lyon.fr
-------------------------------------------------------------------
Thu Jan 30 13:25:51 CET 2003 - agruen@suse.de
- Fix some regex quoting; use grep -E because we quote for extended
- regexps. Filenames with "+^$" in it did not work in some places.
+ regexps. Filenames with "+^$" in it did not work in some places.
- Prepare for GNU Autoconf: substitute @PERL@, @BASH@, @DIFF@,
@PATCH@ in scripts.
- Some cleanups in Makefile.
diff --git a/quilt/add.in b/quilt/add.in
index eee3c45..94c9f90 100644
--- a/quilt/add.in
+++ b/quilt/add.in
@@ -116,7 +116,7 @@ do
if [ -L "$SUBDIR$file" ]
then
- printf $"Cannot add symbolic link %s\n" "$SUBDIR$file" >&2
+ printf $"Cannot add symbolic link %s\n" "$SUBDIR$file" >&2
status=1
continue
fi
diff --git a/quilt/import.in b/quilt/import.in
index cc9deed..182d0e2 100644
--- a/quilt/import.in
+++ b/quilt/import.in
@@ -100,15 +100,15 @@ options=`getopt -o P:d:fp:Rh -- "$@"`
if [ $? -ne 0 ]
then
- usage
+ usage
fi
eval set -- "$options"
while true
do
- case "$1" in
- -P)
+ case "$1" in
+ -P)
opt_patch=${2#$QUILT_PATCHES/}
shift 2 ;;
-p)
@@ -128,10 +128,10 @@ do
shift ;;
-h)
usage -h ;;
- --)
- shift
+ --)
+ shift
break ;;
- esac
+ esac
done
if [ $# -gt 1 -a -n "$opt_patch" ]
diff --git a/quilt/mail.in b/quilt/mail.in
index 109782a..fae9e8e 100644
--- a/quilt/mail.in
+++ b/quilt/mail.in
@@ -97,7 +97,7 @@ references_header() {
message_id=$(formail -x Message-ID: < "$message")
message_id=${message_id# }
-
+
references=$(formail -x References: < "$message")
references=${references# }
if [ -z "$references" ]
@@ -256,8 +256,8 @@ fi
# check if formail is installed before doing anything
if ! type formail &> /dev/null
then
- echo $"You have to install 'formail' to use 'quilt mail'" >&2
- exit 1
+ echo $"You have to install 'formail' to use 'quilt mail'" >&2
+ exit 1
fi
if [ $# -ge 1 ]
@@ -618,11 +618,11 @@ for patch in "${patches[@]}"; do
awk '
/^$/ { exit }
tolower($0) !~ /^(message-id|references|in-reply-to):/ \
- { print }
+ { print }
' $introduction
references_header $introduction
echo "MIME-Version: 1.0"
- echo "Content-Type: text/plain; charset=$opt_charset"
+ echo "Content-Type: text/plain; charset=$opt_charset"
echo "Content-Disposition: inline; filename=$patch"
awk '
kill_header { if (/^[ \t]/) next ; kill_header = 0 }
diff --git a/quilt/pop.in b/quilt/pop.in
index 651de62..24af309 100644
--- a/quilt/pop.in
+++ b/quilt/pop.in
@@ -167,42 +167,42 @@ options=`getopt -o fRqvah -- "$@"`
if [ $? -ne 0 ]
then
- usage
+ usage
fi
eval set -- "$options"
while true
do
- case "$1" in
- -f)
- opt_force=1
+ case "$1" in
+ -f)
+ opt_force=1
unset opt_remove
shift ;;
-R)
opt_remove=1
unset opt_force
shift ;;
- -q)
- opt_quiet=1
+ -q)
+ opt_quiet=1
shift ;;
- -v)
- opt_verbose=1
+ -v)
+ opt_verbose=1
shift ;;
-a)
opt_all=1
shift ;;
-h)
usage -h ;;
- --)
- shift
+ --)
+ shift
break ;;
- esac
+ esac
done
if [ $# -gt 1 -o \( -n "$opt_all" -a $# -ne 0 \) ]
then
- usage
+ usage
fi
if [ $# -eq 1 ]
@@ -233,7 +233,7 @@ then
exit 1
elif [ -z "$patches" ]
then
- printf $"No patch removed\n" >&2
+ printf $"No patch removed\n" >&2
exit 2
fi
diff --git a/quilt/push.in b/quilt/push.in
index cfad182..1035f03 100644
--- a/quilt/push.in
+++ b/quilt/push.in
@@ -279,19 +279,19 @@ options=`getopt -o fqvam::h --long fuzz:,merge::,leave-rejects,color:: -- "$@"`
if [ $? -ne 0 ]
then
- usage
+ usage
fi
eval set -- "$options"
while true
do
- case "$1" in
- -f)
- opt_force=1
+ case "$1" in
+ -f)
+ opt_force=1
shift ;;
- -q)
- opt_quiet=1
+ -q)
+ opt_quiet=1
shift ;;
-v)
opt_verbose=1
@@ -333,15 +333,15 @@ do
usage ;;
esac
shift 2 ;;
- --)
- shift
+ --)
+ shift
break ;;
- esac
+ esac
done
if [ $# -gt 1 -o \( -n "$opt_all" -a $# -ne 0 \) ]
then
- usage
+ usage
fi
if [ $# -eq 1 ]
diff --git a/quilt/refresh.in b/quilt/refresh.in
index 71d34ec..97b81a6 100644
--- a/quilt/refresh.in
+++ b/quilt/refresh.in
@@ -284,7 +284,7 @@ then
| awk '
function print_diffstat(arr, i) {
if (system("diffstat '"$QUILT_DIFFSTAT_OPTS \
- -p$num_strip_level \
+ -p$num_strip_level \
$tmp_patch | sed -e s:^:"'" prefix ":"))
exit 1
}
@@ -302,7 +302,7 @@ then
{ print eat $0
eat = "" }
END { printf "%s", eat
- if (!diffstat_printed) {
+ if (!diffstat_printed) {
print "---"
print_diffstat()
print prefix
diff --git a/quilt/scripts/dependency-graph.in b/quilt/scripts/dependency-graph.in
index dee153f..b949438 100644
--- a/quilt/scripts/dependency-graph.in
+++ b/quilt/scripts/dependency-graph.in
@@ -293,7 +293,7 @@ if ($filter_patchnames) {
local *PIPE;
my $pid = open(PIPE, "- |"); # fork a child to read from
die "fork: $!\n"
- unless defined $pid;
+ unless defined $pid;
unless ($pid) { # child
# open a second pipe to the actual filter
open(PIPE, "| $filter_patchnames")
@@ -425,7 +425,7 @@ foreach my $key (keys %edges) {
}
# Compute a pseudo edge length so that neato works acceptably.
push @{$edges{$key}{attrs}}, "len=\"" .
- sprintf("%.2f", log(abs($to - $from) + 3)) . "\"";
+ sprintf("%.2f", log(abs($to - $from) + 3)) . "\"";
}
#foreach my $node (@nodes) {
diff --git a/quilt/scripts/edmail.in b/quilt/scripts/edmail.in
index d0e8ca6..6c8aae6 100644
--- a/quilt/scripts/edmail.in
+++ b/quilt/scripts/edmail.in
@@ -176,7 +176,7 @@ sub process_header($) {
return if exists $remove_header{lc $name};
if (exists $replace_name{lc $name}) {
if (exists $replace_value{lc $name}) {
- print "$replace_name{lc $name}: $replace_value{lc $name}\n";
+ print "$replace_name{lc $name}: $replace_value{lc $name}\n";
delete $replace_value{lc $name};
}
return;
diff --git a/quilt/scripts/inspect.in b/quilt/scripts/inspect.in
index e8eff26..30b3590 100644
--- a/quilt/scripts/inspect.in
+++ b/quilt/scripts/inspect.in
@@ -166,7 +166,7 @@ cat <<-'EOF' > $tmpdir/bin/wrapper
| xargs md5sum \
) > $tmpdir/more-md5sums
fi
-
+
while read md5sum_ file_
do
if [ "$md5sum" = "$md5sum_" ]
@@ -350,7 +350,7 @@ if [ ! -x $tmpdir/bin/wrapper ]
then
printf "Cannot execute %s; filesystem mounted with noexec?\n" \
$tmpdir/bin/wrapper >&2
- printf "Setting %s in ~/.quiltrc may help\n" "VARTMPDIR" >&2
+ printf "Setting %s in ~/.quiltrc may help\n" "VARTMPDIR" >&2
exit 1
fi
diff --git a/quilt/scripts/patchfns.in b/quilt/scripts/patchfns.in
index 513a500..f1b1dea 100644
--- a/quilt/scripts/patchfns.in
+++ b/quilt/scripts/patchfns.in
@@ -181,7 +181,7 @@ change_db_strip_level()
}
}
if (!p_printed && "'"$level"'" != "")
- insert_arg(2, "'"$level"'")
+ insert_arg(2, "'"$level"'")
}
{ print }
' $SERIES > $tmpfile
@@ -263,7 +263,7 @@ remove_from_series()
if [ $? -ne 0 ]
then
rm -f $tmpfile
- return 1
+ return 1
fi
cat $tmpfile > $SERIES
rm -f $tmpfile
@@ -369,7 +369,7 @@ applied_before()
' $DB
fi
}
-
+
patches_before()
{
local patch=$1
@@ -563,12 +563,12 @@ find_applied_patch()
local patch
patch=$(find_patch "$name") || return 1
- if ! is_applied "$patch"
- then
- printf $"Patch %s is not applied\n" \
+ if ! is_applied "$patch"
+ then
+ printf $"Patch %s is not applied\n" \
"$(print_patch $patch)" >&2
- return 1
- fi
+ return 1
+ fi
echo "$patch"
else
find_top_patch
@@ -584,12 +584,12 @@ find_unapplied_patch()
local patch
patch=$(find_patch "$name") || return 1
- if is_applied "$patch"
- then
+ if is_applied "$patch"
+ then
printf $"Patch %s is currently applied\n" \
"$(print_patch $patch)" >&2
return 2
- fi
+ fi
echo "$patch"
else
local start
@@ -724,7 +724,7 @@ diff_file()
new_hdr=$dir/$file
fi
index=$new_hdr
-
+
if ! [ -s "$old_file" ]
then
old_file=/dev/null
@@ -774,7 +774,7 @@ diff_file()
cat_file()
{
local filename
-
+
for filename in "$@"
do
if [ -e "$filename" ]
@@ -923,11 +923,11 @@ apply_patch_temporarily()
next_filename()
{
local patch=$1 base num
- base=$(echo "$patch" \
- | sed -r -e 's:(\.gz|\.bz2|\.xz|\.lzma)$::' -e 's:(\.diff?|\.patch)$::')
- num=$(echo "$base" | sed -nre 's:.*-([0-9]+)$:\1:'p)
- [ -n "$num" ] || num=1
- echo "${base%-$num}-$((num+1))${patch#$base}"
+ base=$(echo "$patch" \
+ | sed -r -e 's:(\.gz|\.bz2|\.xz|\.lzma)$::' -e 's:(\.diff?|\.patch)$::')
+ num=$(echo "$base" | sed -nre 's:.*-([0-9]+)$:\1:'p)
+ [ -n "$num" ] || num=1
+ echo "${base%-$num}-$((num+1))${patch#$base}"
}
create_db() {
diff --git a/quilt/series.in b/quilt/series.in
index b1a0eca..9da5c17 100644
--- a/quilt/series.in
+++ b/quilt/series.in
@@ -27,7 +27,7 @@ Print the names of all patches in the series file.
--color[=always|auto|never]
Use syntax coloring (auto activates it only if the output is a tty).
-
+
-v Verbose, more user friendly output.
"
exit 0
diff --git a/quilt/setup.in b/quilt/setup.in
index 0930a89..679a6fe 100644
--- a/quilt/setup.in
+++ b/quilt/setup.in
@@ -80,7 +80,7 @@ create_symlink() {
-e 's:/[^/]+/\.\.(/|$):\1:g' \
-e 'tagain')" \
"$(echo "$PWD/$link" | \
- sed -r -e 's://:/:g' \
+ sed -r -e 's://:/:g' \
-e ':again' \
-e 's:/[^/]+/\.\.(/|$):\1:g' \
-e 'tagain')"
diff --git a/quilt/upgrade.in b/quilt/upgrade.in
index 58278f7..6471162 100644
--- a/quilt/upgrade.in
+++ b/quilt/upgrade.in
@@ -99,7 +99,7 @@ done
if [ -n "$failed" ]
then
- printf $"Conversion failed\n" >&2
+ printf $"Conversion failed\n" >&2
printf $"
Please remove all patches using \`quilt pop -a' from the quilt version used to create this working tree, or remove the %s directory and apply the patches from scratch.\n" "$QUILT_PC" >&2
exit 1
diff --git a/test/annotate.test b/test/annotate.test
index 556fa85..bca376f 100644
--- a/test/annotate.test
+++ b/test/annotate.test
@@ -1,5 +1,5 @@
$ mkdir patches
-
+
$ cat > foo
< foo
< bar
@@ -25,10 +25,10 @@
$ quilt new patch2
> Patch patches/patch2 is now on top
-
+
$ quilt add foo
> File foo added to patch patches/patch2
-
+
$ sed -e 's:Baz:baz:' foo > foo.new
$ mv foo.new foo
$ quilt refresh
diff --git a/test/applied.test b/test/applied.test
index 9840404..272f6bc 100644
--- a/test/applied.test
+++ b/test/applied.test
@@ -1,5 +1,5 @@
$ mkdir patches
-
+
$ echo a > a
$ echo b > b
$ diff -u a b > patches/patch
diff --git a/test/comments.test b/test/comments.test
index bbf34ff..6180a26 100644
--- a/test/comments.test
+++ b/test/comments.test
@@ -58,10 +58,10 @@ accidentally removed.
> ! one
> --- 1 ----
> ! two
-
+
$ quilt refresh
> Refreshed patch %{P}test.diff
-
+
$ cat patches/test.diff
> C1
>
diff --git a/test/conflicts.test b/test/conflicts.test
index 21c8499..a5eb819 100644
--- a/test/conflicts.test
+++ b/test/conflicts.test
@@ -20,17 +20,17 @@ anymore, then the patch is fixed.
< e
< f
< g
-
+
$ quilt new a.diff
> Patch %{P}a.diff is now on top
$ echo %{?}
> 0
-
+
$ quilt add one.txt
> File one.txt added to patch %{P}a.diff
$ echo %{?}
> 0
-
+
$ mv one.txt one.orig
$ sed -e "s/4/4+/" -e 's/d/d+/' one.orig > one.txt
$ quilt refresh
diff --git a/test/delete.test b/test/delete.test
index 1f57928..e7029ad 100644
--- a/test/delete.test
+++ b/test/delete.test
@@ -38,7 +38,7 @@ Test the delete command.
$ quilt pop
> Removing patch %{P}test2
> Restoring test.txt
- >
+ >
> Now at patch %{P}test1
$ quilt series
@@ -54,7 +54,7 @@ Test the delete command.
$ quilt pop
> Removing patch %{P}test1
> Restoring test.txt
- >
+ >
> No patches applied
$ quilt delete test1
diff --git a/test/dotglob.test b/test/dotglob.test
index b325806..d190226 100644
--- a/test/dotglob.test
+++ b/test/dotglob.test
@@ -2,14 +2,14 @@
$ quilt new dotglob.diff
> Patch patches/dotglob.diff is now on top
-
+
$ quilt add .foo
> File .foo added to patch patches/dotglob.diff
-
+
$ echo dot-foo > .foo
$ quilt refresh
> Refreshed patch patches/dotglob.diff
-
+
$ quilt pop -q
> Removing patch patches/dotglob.diff
> No patches applied
diff --git a/test/empty.test b/test/empty.test
index b765917..8ff4b55 100644
--- a/test/empty.test
+++ b/test/empty.test
@@ -4,7 +4,7 @@
< empty1.diff
< empty2.diff
$ touch patches/empty1.diff patches/empty2.diff
-
+
$ quilt push -qa
> Applying patch %{P}empty1.diff
> Patch %{P}empty1.diff appears to be empty; applied
@@ -22,7 +22,7 @@
$ quilt new empty_new.diff
> Patch %{P}empty_new.diff is now on top
-
+
$ quilt pop -q
> Patch %{P}empty_new.diff appears to be empty, removing
> No patches applied
diff --git a/test/example1.test b/test/example1.test
index 50e0158..ec73b81 100644
--- a/test/example1.test
+++ b/test/example1.test
@@ -108,7 +108,7 @@ Or ``quilt edit Oberon.txt''
< The juice of it on sleeping eye-lids laid
< Will make a man or woman madly dote
< Upon the next live creature that it sees.
-
+
$ quilt refresh -p ab
> Refreshed patch %{P}flower.diff
$ rm -f Oberon.txt.rej
diff --git a/test/fold.test b/test/fold.test
index aa1a79e..4a3ff1e 100644
--- a/test/fold.test
+++ b/test/fold.test
@@ -2,7 +2,7 @@
$ cat > patches/series
< patch1.diff
-
+
$ cat > patches/patch1.diff
< --- q.orig/file1.txt
< +++ q/file1.txt
@@ -26,7 +26,7 @@
< +++ q/file2.txt
< @@ -1 +0,0 @@
< -This is file2.txt.
- < --- q.orig/dir/file3.txt
+ < --- q.orig/dir/file3.txt
< +++ q/dir/file3.txt
< @@ -0,0 +1 @@
< +This is file3.txt.
@@ -47,7 +47,7 @@
$ cd dir
$ quilt fold -q
- < --- dir.orig/file3.txt
+ < --- dir.orig/file3.txt
< +++ dir/file3.txt
< @@ -1 +1 @@
< -This is file3.txt.
diff --git a/test/formats.test b/test/formats.test
index 43b3ae4..cd10bfe 100644
--- a/test/formats.test
+++ b/test/formats.test
@@ -105,7 +105,7 @@
> 2
> ! new
> 4
-
+
$ quilt diff -p ab
> Index: b/test.txt
> ===================================================================
diff --git a/test/header.test b/test/header.test
index 0316129..f6367b5 100644
--- a/test/header.test
+++ b/test/header.test
@@ -6,7 +6,7 @@
$ quilt add foo
> File foo added to patch patches/patch
-
+
$ echo bar > foo
$ quilt refresh -p ab
> Refreshed patch patches/patch
@@ -20,7 +20,7 @@
$ quilt header -r
< Header2
> Replaced header of patch patches/patch
-
+
$ quilt header
> Header2
diff --git a/test/import.test b/test/import.test
index 6336854..0be055d 100644
--- a/test/import.test
+++ b/test/import.test
@@ -89,7 +89,7 @@
# test a few error cases
- $ quilt import missing.diff
+ $ quilt import missing.diff
> Patch missing.diff does not exist
$ quilt import patches/patch1.diff
@@ -139,7 +139,7 @@
# make sure it accepts non-conflicting names
# a small presentation problem here
- $ cp patches/patch1.diff t/patch1.patch
+ $ cp patches/patch1.diff t/patch1.patch
$ quilt import t/patch1.patch
> Importing patch t/patch1.patch (stored as patches/patch1.patch)
diff --git a/test/import2.test b/test/import2.test
index f839930..3b7150b 100644
--- a/test/import2.test
+++ b/test/import2.test
@@ -70,7 +70,7 @@
# test a few error cases
- $ quilt import missing.diff.gz
+ $ quilt import missing.diff.gz
> Patch missing.diff.gz does not exist
$ quilt import patches/patch1.diff.gz
@@ -120,7 +120,7 @@
# make sure it accepts non-conflicting names
# a small presentation problem here
- $ cp patches/patch1.diff.gz t/patch1.patch.gz
+ $ cp patches/patch1.diff.gz t/patch1.patch.gz
$ quilt import t/patch1.patch.gz
> Importing patch t/patch1.patch.gz (stored as %{P}patch1.patch.gz)
diff --git a/test/mail.test b/test/mail.test
index dcf948c..c79276d 100644
--- a/test/mail.test
+++ b/test/mail.test
@@ -69,7 +69,7 @@
<
< Signed-off-by: someone@without.name
<
-
+
$ ls patches/ > series
$ quilt mail --mbox mbox --prefix "test" --subject "This is a test" -m "Message"
$ sed -nre "s/^(From [^ ]*).*/\\1/p" -e "/^Subject:/p" -e "/^To:/p" -e "/^Cc:/p" -e "/^ /p" -e "/^Replace-.*:/p" -e "/^Recipient-.*:/p" mbox
diff --git a/test/missing.test b/test/missing.test
index 3dea09c..74db5c0 100644
--- a/test/missing.test
+++ b/test/missing.test
@@ -3,7 +3,7 @@
$ cat > patches/series
< missing1.diff
< missing2.diff
-
+
$ quilt push -qa
> Applying patch patches/missing1.diff
> Patch patches/missing1.diff does not exist; applied empty patch
diff --git a/test/one.test b/test/one.test
index 9131d4f..e665b1d 100644
--- a/test/one.test
+++ b/test/one.test
@@ -133,13 +133,13 @@ of the installed quilt with `make check'.
> This is file two.
> +Another line added.
> Warning: more recent patches modify files in patch %{P}patch1.diff
-
+
$ quilt refresh patch1
> More recent patches modify files in patch %{P}patch1.diff. Enforce refresh with -f.
-
+
$ quilt refresh -f patch1
> Refreshed patch %{P}patch1.diff
-
+
$ echo "Another line here, too." >> dir/file3
$ quilt pop -R
> Removing patch %{P}subdir/patch3.diff
diff --git a/test/remember-locations.test b/test/remember-locations.test
index 2631df5..65e62f7 100644
--- a/test/remember-locations.test
+++ b/test/remember-locations.test
@@ -14,7 +14,7 @@
> mychange1
# Verify that the custom location is still used even
- # if QUILT_PATCHES is not set
+ # if QUILT_PATCHES is not set
$ quilt new mychange2
> Patch my/changes/mychange2 is now on top
# Verify that the root directory can be identified even
diff --git a/test/remove-trailing-ws.test b/test/remove-trailing-ws.test
index bea48a0..5f5117b 100644
--- a/test/remove-trailing-ws.test
+++ b/test/remove-trailing-ws.test
@@ -7,26 +7,26 @@ $ cat > files.orig/add
< Line 1
< Line 2
< Line 3
-<
+<
< Line 5
< Line 6
$ cat > files.orig/change
< change
-< from
-< this
+< from
+< this
$ cat > files.orig/complex
< Line 1
< Line 2
-<
+<
< Line 3
< Line 4
-<
+<
< Line 5
< Line 6
-<
+<
< Line 7
< Line 8
-<
+<
< Line 9
< Line 10
$ cat > files.orig/delete
@@ -36,35 +36,35 @@ $ cat > files.orig/delete
$ cat > files.orig/remove
< Line 1
< Line 2
-<
+<
< Line 3
< Line 4
-<
+<
< Line 5
< Line 6
$ cat > files.orig/remove-at-end
< Line 1
< Line 2
-<
+<
< Line 3
< Line 4
-<
+<
< Line 5
< Line 6
-<
+<
< Line 7
< Line 8
-<
+<
< Line 9
< Line 10
$ cat > files/add
< Line 1
< Line 2
-<
+<
< Line 3
< Line 4
-<
+<
< Line 5
< Line 6
$ cat > files/change
@@ -76,19 +76,19 @@ $ cat > files/complex
< Line 2
< Line 3
< Line 4
-<
+<
< Line 5
< Line 6
-<
+<
< Line 7
< Line 8
-<
+<
< Line 9
< Line A
-<
+<
< Line B
< Line C
-<
+<
< Line D
< Line E
< Line F
@@ -101,16 +101,16 @@ $ cat > files/remove
< Line 1
< Line 2
< Line 3
-<
+<
< Line 5
< Line 6
$ cat > files/remove-at-end
< Line 1
< Line 2
-<
+<
< Line 3
< Line 4
-<
+<
< Line 5
< Line 6
diff --git a/test/run b/test/run
index 4e1216a..d8e4a37 100755
--- a/test/run
+++ b/test/run
@@ -242,7 +242,7 @@ sub sg($) {
my $gid = getgrnam($group)
or return 1, [ "sg: group $group does not exist\n" ];
my %groups = map { $_ eq $gid ? () : ($_ => 1) } (split /\s/, $));
-
+
#print STDERR "<<", join("/", keys %groups), ">>\n";
my $groups = join(" ", ($gid, $gid, keys %groups));
#print STDERR "[[$groups]]\n";
diff --git a/test/two.test b/test/two.test
index d6b7f2f..73d4990 100644
--- a/test/two.test
+++ b/test/two.test
@@ -61,7 +61,7 @@
> +Another line has been added.
$ cd ..
-
+
$ quilt refresh
> Refreshed patch %{_P}patch1.diff
@@ -136,13 +136,13 @@
> This is file two.
> +Another line added.
> Warning: more recent patches modify files in patch %{_P}patch1.diff
-
+
$ quilt refresh patch1
> More recent patches modify files in patch %{_P}patch1.diff. Enforce refresh with -f.
-
+
$ quilt refresh -f patch1
> Refreshed patch %{_P}patch1.diff
-
+
$ echo "Another line here, too." >> dir/file3
$ quilt pop -R
> Removing patch %{_P}subdir/patch3.diff